<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="bwdHistory">
            <h2><span jhiTranslate="clentApp.bwdHistory.detail.title">Bwd History</span> {{ bwdHistory.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="clentApp.bwdHistory.userId">User Id</span></dt>
                <dd>
                    <span>{{ bwdHistory.userId }}</span>
                </dd>
                <dt><span jhiTranslate="clentApp.bwdHistory.createTime">Create Time</span></dt>
                <dd>
                    <span>{{ bwdHistory.createTime }}</span>
                </dd>
                <dt><span jhiTranslate="clentApp.bwdHistory.bwdHash">Bwd Hash</span></dt>
                <dd>
                    <span>{{ bwdHistory.bwdHash }}</span>
                </dd>
                <dt><span jhiTranslate="clentApp.bwdHistory.bwdCode">Bwd Code</span></dt>
                <dd>
                    <span>{{ bwdHistory.bwdCode }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/bwd-history', bwdHistory.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
            </button>
        </div>
    </div>
</div>
